Summary:       Visual tool for comparing and merging files
Name:          beediff
Version:       1.9
Release:       5%{?dist}
Group:         Development/Tools
License:       GPLv2+
URL:           http://www.beesoft.org/index.php?id=beediff
Source0:       http://www.beesoft.org/download/beediff_%{version}_src.tar.gz
Source1:       beediff.desktop
BuildRequires: qt4-devel desktop-file-utils
Requires:      diffutils
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%description
This package provides a visual application (beediff) for comparing and
merging files. User have a possibility to work with two text
files. Every one is in separate panel. Panels are side by side. All
differences of both textes are highlighted in colors. Operation
buttons (merge, remove) are located direct inside compared textes in
appropriate positions. Program is user friendly, very simply and
efficient.

%prep
%setup -q -n %{name}
%{__sed} -i.bak -e 's/^QMAKE_CXXFLAGS_RELEASE.*/QMAKE_CXXFLAGS_RELEASE = %{optflags}/' beediff.pro

%build
qmake-qt4
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 %{name}  %{buildroot}%{_bindir}/%{name}
%{__install} -D -p -m 0644 img/%{name}.png  \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc licence.txt ChangeLog.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Dec 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 1.9-3
- Web pages moved

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 22 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.9-2
- fix license
- move desktop file
- add smp flags

* Wed Sep 15 2008 Terje Rosten <terje.rosten@ntnu.no> - 1.9-1
- initial package

 
